Bug 116477 - Warnings about deprecated usage in up2date
Summary: Warnings about deprecated usage in up2date
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: up2date-fc2
TreeView+ depends on / blocked
 
Reported: 2004-02-21 15:52 UTC by Alan Cox
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-25 20:56:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alan Cox 2004-02-21 15:52:45 UTC
up2date emits warnintgs:
"/usr/share/rhn/up2date_client/checklist.py:139: DeprecationWarning:
integer arg...." "info = self.get_selection_info ...;

It also emits warnings that
/etc/security/selinux/src/policy/file_contexts/file_contexts is not
present 

This is an update from FC1

Comment 1 Walker Aumann 2004-02-22 08:19:33 UTC
Also happens when updating with yum.

...
Getting sendmail-8.12.11-3.2.i386.rpm
sendmail-8.12.11-3.2.i386 100% |=========================| 568 kB    00:04
Getting rpm-python-4.3-0.13.i386.rpm
rpm-python-4.3-0.13.i386. 100% |=========================|  79 kB    00:00
Running test transaction:
/etc/security/selinux/src/policy/file_contexts/file_contexts: No such
file or directory
Test transaction complete, Success!
/etc/security/selinux/src/policy/file_contexts/file_contexts: No such
file or directory
hwdata 100 % done 1/94
XFree86-libs-data 100 % done 2/94
...

Comment 2 Bill Nottingham 2004-02-23 23:16:34 UTC
The selinux error is from rpm.

Comment 3 Sean Earp 2004-03-14 23:41:29 UTC
I'm not gettin the selinux error, but I am getting the deprecation
warning when running up2date from the cl.

/usr/share/rhn/up2date_client/checklist.py:139: DeprecationWarning:
integer argument expected, got float
  info  = self.get_selection_info (event.x, event.y)

using the latest version (up2date-4.3.11-2.1.1)



Note You need to log in before you can comment on or make changes to this bug.